Article ID: 126183, created on Jul 14, 2015, last review on Sep 26, 2015

  • Applies to:
  • Odin Business Automation Standard 4.5

Symptoms

The hspcd service can not be started.

The following message is shown in /var/log/hspcd/error_log

Syntax error on line 444 of /etc/hspcd/conf/hspcd.conf:
"is_ip_v6" is not exported by the HSPC::PluginToolkit::DM module
Can't continue after import errors at /usr/lib/perl5/site_perl/5.8.8/HSPC/MT/Plugin/DM/OpenProvider.pm line 18
BEGIN failed--compilation aborted at /usr/lib/perl5/site_perl/5.8.8/HSPC/MT/Plugin/DM/OpenProvider.pm line 30.
Compilation failed in require at /usr/lib/perl5/site_perl/5.8.8/HSPC/Startup.pm line 610.
BEGIN failed--compilation aborted at /usr/lib/perl5/site_perl/5.8.8/HSPC/Startup.pm line 644.
Compilation failed in require at (eval 5) line 3.

Cause

The hspc-plugin-dm-openprovider-4.6-04.swsoft.i386.rpm or hspc-plugin-dm-openprovider-4.6-04.swsoft.x86_64.rpm package is installed.

Resolution

Download the latest hspc-plugin-dm-openprovider version for 32-bit or 64-bit OS and install it by running

for 32-bit OS

# rpm -Uvh hspc-plugin-dm-openprovider-4.5.5-29.swsoft.i386.rpm
# hspc-upgrade-manager --finish

for 64-bit OS

# rpm -Uvh hspc-plugin-dm-openprovider-4.5.5-29.swsoft.x86_64.rpm
# hspc-upgrade-manager --finish

Search Words

hspc-plugin-dm-openprovider-4.6

hspcd does not start

Can't continue after import errors at /usr/lib/perl5/site_perl/5.8.8/HSPC/MT/Plugin/DM/OpenProvider.pm line 18

624ca542e40215e6f1d39170d8e7ec75 caea8340e2d186a540518d08602aa065 400e18f6ede9f8be5575a475d2d6b0a6 70a5401e8b9354cd1d64d0346f2c4a3e

Email subscription for changes to this article
Save as PDF